Subject: bug#35773: hexchat: unable to get local issuer certificate

From: Jeff Bauer <[email-masked]>
Date: Sat, 18 May 2019 07:24:35 -0500

Giovanni,

Thanks, that does the trick!  For the record,
this is what I've put in my .bashrc as a check
if I change environments:

# Guix Profile
GUIX_PROFILE="$HOME/.guix-profile"
if [ -d $GUIX_PROFILE ] || [ -h $GUIX_PROFILE ] ; then
    export GUIX_PROFILE
    export GUIX_LOCPATH=$GUIX_PROFILE/lib/locale/
    export SSL_CERT_DIR="$GUIX_PROFILE/etc/ssl/certs"
    export SSL_CERT_FILE="$GUIX_PROFILE/etc/ssl/certs/ca-certificates.crt"
    if [ ! -f $SSL_CERT_FILE ] ; then
        echo "Missing nss-certs: $SSL_CERT_FILE"
    fi
    source $GUIX_PROFILE/etc/profile
fi

-Jeff

On Sat, May 18, 2019 at 09:24:05AM +0200, Giovanni Biscuolo wrote:
> Hello Jeff,
>
> Jeff Bauer <[email-masked]> writes:
>
> > Sorry, but the same problem with nss-certs installed.
>
> Sorry I gave you a partial solution, the full solition is to add the
> documented variables to your env, please read:
>
> https://www.gnu.org/software/guix/manual/en/html_node/X_002e509-Certificates.html
>
> Adding
>
> --8<---------------cut here---------------start------------->8---
>
> export SSL_CERT_DIR="$HOME/.guix-profile/etc/ssl/certs"
> export SSL_CERT_FILE="$HOME/.guix-profile/etc/ssl/certs/ca-certificates.crt"
>
> --8<---------------cut here---------------end--------------->8---
>
> should work
>
> HTH! Gio'.
>
> [...]
>
> --
> Giovanni Biscuolo
>
> Xelera IT Infrastructures